package TestingSystem.SAPFOR.SapforTasksPackage.UI;
import TestingSystem.SAPFOR.SapforTask.MatchState;
public class MatchesSummary extends SapforPackageTreeNode {
    public MatchState state;
    public int count = 0;
    public MatchesSummary(MatchState state_in) {
        state = state_in;
    }
    @Override
    public String toString() {
        return state.getDescription() + " : " + count;
    }
    @Override
    public String getImageKey() {
        switch (state) {
            case Match:
                return "Match";
            case NotMatch:
                return "NotMatch";
            default:
                return "TestVersion";
        }
    }
}
